Bug 88370 - Hebrew Smart Quotes Behaviour Complex and Unconfigurable
Summary: Hebrew Smart Quotes Behaviour Complex and Unconfigurable
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: x86 (IA32) Linux (All)
: low normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2015-01-13 14:21 UTC by Amir Adar
Modified: 2018-09-22 22:34 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the problem (8.81 KB, image/jpeg)
2015-01-13 14:23 UTC, Amir Adar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amir Adar 2015-01-13 14:21:59 UTC
Setup:

* LibreOffice 4.5.0.0 (master) with Hebrew (CTL) support

* Smart quotes are on (check the checkbox in Tools > AutoCorrect Options... > Localised Options > Double Quotes > Replace).

* Linux Mint 17.1, 32-bit

Reproduce:

1. Create a new file.

2. Type a Hebrew sentence in quotes, without a full stop at the end (example: “האיש הולך הביתה").

3. Type another Hebrew sentence in quotes, with a full stop at the end (example: “האיש הולך לעבודה.”).

Expected Result:

In both cases, the quotation marks enclosing the Hebrew sentences should be curved according to the symbols picked in AutoCorrect options.

Actual Result:

In the first case, the last quote is not replaced with a curved quote, but remains as a “Gershayim” sign. In the second case, the quotes are both replaced correctly.

I believe the reason is that in Hebrew, Gershayim is used inside of acronyms (such as מנכ"ל, פלמ"ח), and that LibreOffice interprets placing a quote directly after a letter as necessarily writing an acronym. This behaviour is confusing and does not correspond to any setting invoked by the user. It can be a useful feature, but it has to be handled differently.
Comment 1 Amir Adar 2015-01-13 14:23:08 UTC
Created attachment 112169 [details]
Screenshot of the problem
Comment 2 Urmas 2015-01-13 15:44:05 UTC
What happens when you type some Hebrew letters before the quoted phrase?
Comment 3 Amir Adar 2015-01-13 16:25:39 UTC
When entering text before the quoted phrase, nothing changes. Afterwards, if I delete the first quotation mark and type in another, the "Gershayim" character is used instead of the curved quote.

The "Gershayim" character is also used if I insert Hebrew letters, return to the beginning of the line and type in a quotation mark.
Comment 4 Buovjaga 2015-01-29 17:58:23 UTC
Reproduced.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36
Comment 5 QA Administrators 2016-02-21 08:37:30 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-03-06 15:52:22 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306